Skip to main content
POST
/
admin
/
reviewTags
Create a new review tag
curl --request POST \
  --url https://api.guile.app/admin/reviewTags \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "label": "<string>",
  "type": "positive"
}
'
{
  "label": "<string>",
  "type": "positive",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Body

application/json

Request body for creating a review tag.

label
string
required

The display label for the review tag.

Required string length: 1 - 50
type
enum<string>
required

The type of the review tag indicating sentiment.

Available options:
positive,
negative

Response

Created.

A representation of a review tag.

label
string
required

The display label for the review tag.

Required string length: 1 - 50
type
enum<string>
required

The type of the review tag indicating sentiment.

Available options:
positive,
negative
id
string<uuid>
required

The unique identifier for the review tag.

createdAt
string<date-time>
required

The date-time when this resource was created, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. This is derived and immutable.

updatedAt
string<date-time>
required

The date-time when this resource was updated, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. This is derived and immutable.